import './assets/styles/style.css'
import router from './router'
import axios from 'axios'
import toastr from 'toastr'
import 'toastr/build/toastr.min.css'

import { createApp } from 'vue'
import App from './App.vue'

const app = createApp(App)

window.toastr = toastr
toastr.options = {
  closeButton: false,
  progressBar: false,
  positionClass: 'toast-top-right',
  timeOut: '4000',
  preventDuplicates: true
}

app.use(router)

axios.defaults.baseURL = 'https://localhost:3001'

export default axios

app.mount('#app')
